Skip Menu |
 

This queue is for tickets about the Net-SSH-Perl CPAN distribution.

Report information
The Basics
Id: 106140
Status: open
Priority: 0/
Queue: Net-SSH-Perl

People
Owner: schwigon [...] cpan.org
Requestors: ilmari.ikonen84 [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Crypt::RSA installation fails
Date: Wed, 29 Jul 2015 10:03:52 +0200
To: bug-Net-SSH-Perl [...] rt.cpan.org
From: Ilmari Ikonen <ilmari.ikonen84 [...] gmail.com>
Download (untitled) / with headers
text/plain 532b
Crypt::RSA installation fails with Show quoted text
>cpanm Crypt::RSA
==> Found dependencies: ExtUtils::MakeMaker Found ExtUtils::MakeMaker 7.04 which doesn't satisfy 7.0401. ! Installing the dependencies failed: Installed version (7.04_01) of ExtUtils::MakeMaker is not in range '7.0401' ! Bailing out the installation for Crypt-RSA-1.97. I am using perlbrew and perl 5.22.0 (installed yesterday). It seems Crypt::RSA has been inactive since 2009 with several open tickets. The problem is critical but makes installation slightly more tedious.
Download (untitled) / with headers
text/plain 749b
On Wed Jul 29 04:04:04 2015, ilmari.ikonen84@gmail.com wrote: Show quoted text
> [...] It seems > Crypt::RSA has been inactive since 2009 with several open tickets. > > The problem is critical but makes installation slightly more tedious.
Alt::Crypt::RSA::BigInt has an identical API and fixes all the open tickets. It would be nice to resolve the limbo this is in, either: (1) Replace Crypt::RSA since it isn't being actively maintained (2) Turn Alt::Crypt::RSA::BigInt into Crypt::RSA::BigInt and change every module that uses Crypt::RSA to use it instead. (3) Make a new RSA module with some other interface. I'm not sure there's any value in this and someone would have to have strong ideas of what they wanted changed (e.g. emulating a different API).
Download (untitled) / with headers
text/plain 994b
On Mon Sep 28 13:40:47 2015, DANAJ wrote: Show quoted text
> On Wed Jul 29 04:04:04 2015, ilmari.ikonen84@gmail.com wrote:
> > [...] It seems > > Crypt::RSA has been inactive since 2009 with several open tickets. > > > > The problem is critical but makes installation slightly more tedious.
> > Alt::Crypt::RSA::BigInt has an identical API and fixes all the open > tickets. It would be nice to resolve the limbo this is in, either: > > (1) Replace Crypt::RSA since it isn't being actively maintained
I just released v2.01 with many changes from Lance Kinley for AES etc., however I'm not qualified to oversee the impact of changing the RSA module, although it sounds like technically easy. If someone who reads this and is interested could prepare and test it and send me a pull request on https://github.com/renormalist/Net-SSH-Perl I would happily merge and do the CPAN release work. Thanks! Kind regards, Steffen -- Steffen Schwigon <ss5@renormalist.net> Dresden Perl Mongers <http://dresden-pm.org/>


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.